#!/bin/sh

#remove entry from gtk.immodules
sed -i /scim-bridge/d /etc/gtk-2.0/gtk.immodules

#remove entry from .xinitrc near line 4
sed -i '
/.*Inserted by fcitx01 beginning/ {
	N
	N
	N
	N
	N
	N
	N
	N
	N
	N
	d
	}
' ~/.xinitrc	

#remove entry from .xinitrc for zhhk_pack_53 pet near line 47
sed -i '
/.*inserted by zhhk_pack_53 beginning.*/ {
	N
	N
	N
	N
	N
	N
	N
	N
	d
	}
' ~/.xinitrc

#remove entry from .xinitrc for zhhk_pack_53 pet near line 47
sed -i '
/.*inserted by fcitx02 beginning.*/ {
	N
	N
	N
	N
	N
	N
	N
	N
	N
	N
	N
	N
	d
	}
' ~/.xinitrc

#remove entry from .xinitrc near the end
sed -i '
/.*wallpaper restore/ {
	N
	N
	N
	N
	N
	N
	d
	}
' ~/.xinitrc	

# remove lines from restartwm
sed -i '
/.*inserted by zhhk_pack_53 beginning/ {
	N
	N
	N
	N
	N
	N
	N
	d
	}
' /usr/bin/restartwm

# remove fonts
#rm /usr/share/fonts/default/TTF/wqy-microhei.ttf

# function to delete line from applications and desktop-directories
 function deleteLine {
	sed -i "s~^$2.*~~" $1
	sed -i '/^$/d' $1
if (grep "^oldName\[zh_CN\]=" $1) then
	sed -i "s~^oldName\[zh_CN\]=~Name\[zh_CN\]=~" $1
fi
}

# delete zh_HK, zh_CN names from /usr/share/applications/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	otherCNName="zh_CN"
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhCNName=$( echo $4 )
	zhCNName="Name\[zh_CN\]="$zhCNName	
	deleteLine $fileName $zhCNName
unset IFS		
 done < /usr/share/.applications_names_eng_HK_CN_org

# delete zh_HK, zh_CN names from /usr/share/desktop-directories/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	otherCNName="zh_CN"
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhCNName=$( echo $4 )
	zhCNName="Name\[zh_CN\]="$zhCNName	
	deleteLine $fileName $zhCNName
unset IFS		
 done < /usr/share/.desktop-directories_names_eng_HK_CN_org

# delete zh_CN names from /root/Desktop/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhCNName=$( echo $4 )
	zhCNName="Name\[zh_CN\]="$zhCNName
	deleteLine $fileName $zhCNName
unset IFS		
 done < /usr/share/.rdt_names_eng_HK_CN_org

# change /etc/xdg/templates/_root_.jwmrc names to zh_CN names
sed -i 's~label="菜单\"~label=\"Menu\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="帮助\"~label=\"Help\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="登出\"~label=\"Leave\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="Lupu新闻 帮助\"~label=\"LupuNews Help\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="芭比 帮助　101\"~label=\"Puppy Help 101\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="关闭电脑\"~label=\"Shutdown\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="退出到命令行\"~label=\"Exit to prompt\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="重启电脑\"~label=\"Reboot computer\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="关上电源\"~label=\"Power-off computer\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="重启Ｘ服务器\"~label=\"Restart X server\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="重启　JWM\"~label=\"Restart JWM\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="转换窗口管理器\"~label=\"Change Window Manager\"~' /etc/xdg/templates/_root_.jwmrc

# restore english Openwith for right click menus top section
rm -rf /root/.config/rox.sourceforge.net/OpenWith
mv /root/.config/rox.sourceforge.net/OpenWith_org /root/.config/rox.sourceforge.net/OpenWith

# add entry to change locale to eng
#localedef -f ISO-8859-1 -i en_US --no-archive en_US >/dev/null
localedef -f UTF-8 -i en_US --no-archive en_US.utf8 >/dev/null

# add entry to change /etc/profile to eng
sed -i "s/^LANG=.*/LANG=en_US.UTF-8/" /etc/profile
   LANG=en_US.UTF-8 fixscripts
   LANG=en_US.UTF-8 fixdesk

# clean and redraw all desktop icons
echo "ICONWIPE" > /tmp/pup_event_icon_change_flag #v411
cp /dev/null  /var/local/pup_event_icon_change_flag # for 533
LANG=en_US.UTF-8 fixmenus

# reverse wag-profiles.sh for fix bug in wireless scan results
rm /usr/sbin/wag-profiles.sh
mv /usr/sbin/wag-profiles.sh.org /usr/sbin/wag-profiles.sh

# reverse substitute panel
rm /root/.config/lxpanel/LXDE/panels/panel
mv /usr/share/panel_org /root/.config/lxpanel/LXDE/panels/panel

# reverse the remasterpup2
sed -i "s~\/usr\/sbin\/remaster_icake720~\/usr\/sbin\/remasterpup2~" /usr/share/applications/Remaster-Puppy-live-CD.desktop
rm /usr/sbin/remaster_icake720

# reverse substitute frisbee
rm /root/Startup/frisbee-tray
mv /usr/sbin/frisbee-tray_org /root/Startup/frisbee-tray

#reverse /root/.wbar
rm /root/.wbar
mv /root/.wbar_org /root/.wbar

#replace /usr/bin
rm /usr/bin/lxp-shutdown
mv /usr/bin/lxp-shutdown_org /usr/bin/lxp-shutdown

Xdialog --icon /usr/share/pixmaps/icake2004.png --left --wrap --title "slacko-kjartans-zhcn-12.2.1.pet removal" --msgbox "Ok, the change has been made and will take effect \nafter next restart of X-server (not a full reboot). \n\nPlease restart X-server after pet uninstall has finished.\n\n初步转变已经做完，但转变要在\n重启X服务器 (不是重启电脑) 之后才可以完成。\n\n请在解除安装 slacko-kjartans-zhcn-12.2.1.pet 的程序完成之后，\n立即重启X服务器。" 20 80
