## Some rules used:
#- All localization variables start with L_
#- The (possible) second part is all-caps and indicates the type of widget etc.
#- The rest gives a rough description of what the message is (content/location)
#- They appear in the order in which they exist in the script -- not running order
#  +(except for the general ones that are used in different places)
#- Hard quotes ('') should be kept when used and variables ($INTERFACE) not touched

# update: Mar. 19th '09: expanded the "function: giveNoWPADialog" section
# update: Mar. 29th: add "function: waitForPCMCIA" section

##  The command to use with the "help" button ("net_setup" can be changed for a 
##+ different help file, eg. "net_setup.de", for a file /usr/share/doc/net_setup.de.htm)
HELP_COMMAND="man 'net_setup'"

############### General text ###############
L_TITLE_Puppy_Network_Wizard="网络配置向导"
L_TITLE_Network_Wizard="网络配置向导"
L_TITLE_Netwiz_Static_IP="网络配置向导: 静态IP"
L_BUTTON_Exit="退出"
L_BUTTON_Save="保存"
L_BUTTON_Load="加载"
L_BUTTON_Unload="卸载"
L_BUTTON_Back="返回"
L_BUTTON_Blacklist="黑名单"
L_BUTTON_No="否"

############### end General text ###############



############### net-setup.sh ###############
# function: refreshMainWindowInfo
L_LABEL_Interface_Tree_Header="接口|类型|模块|设备描述"

L_ECHO_No_Interfaces_Message="系统无法看到任何活动网络接口。

如果您的PC上有一个或多个网络适配器（接口），并且想要使用它们，那必须加载驱动模块。在启动系统时应该会自动检测并安装正确的驱动程序，但这种情况一直没有发生，在这种情况下。不要紧，你可以手动完成！"
L_ECHO_One_Interface_Message="系统已确检测到下列网络接口在您的计算机上，但它仍然需要进行配置。
测试或配置它，请按一下其按钮。"
L_ECHO_Multiple_Interfaces_Message="系统在你的计算机上已确定下列网络接口，但他们仍然需要进行配置。
测试或配置界面，点击其按钮。"

# function: buildMainWindow
L_FRAME_Interfaces="接口"
L_FRAME_Network_Modules="网络模块"

# function: showLoadModuleWindow
L_TITLE_Load_Network_Module="加载网络模块"
L_NOTEBOOK_Modules_Header="选择 模块|Ndiswrapper|更多"

L_TEXT_Select_Module_Tab="如果你看到下面一个模块符合你的硬件（但还未加载……)，选中它并按下“加载”按钮。
如果没有（或您不确定），请点“更多”标签。"
L_LABEL_Module_Tree_Header="模块|类型|说明"

L_TEXT_Ndiswrapper_Tab="<b>Ndiswrapper</b>是一个对Windows驱动程序进行“包装”并让它在Linux下运行的机制。

为了使用它，所以你需要做的是定位Windows驱动程序信息文件(.inf)的位置(通常在Windows安装目录下的驱动程序目录中...).

请注意，Ndiswrapper<b>不兼容</b>于Windows Vista驱动程序。
"
L_BUTTON_Use_Ndiswrapper="使用Ndiswrapper"

L_TEXT_More_Tab="点击 <b>指定</b>选择一个未列出的模块，或以下列参数的格式指定一个模块（可能对ISA卡是强制性的，请参见下面的示例）。
点击<b>Ndiswrapper</b>使用Windows驱动程序。
点击<b>自动探测</b>尝试加载清单中的所有模块。

例1 ：ne io=0x000，
例2 ：arlan  io=0x300 irq=11
（例1适用于大多数ISA卡，并且对IO和IRQ做一些自动探测 ）"
L_BUTTON_Specify="指定"
L_BUTTON_Autoprobe="自动探测"

L_TOPMSG_Load_Module_None_Selected="加载模块报告：没有模块被选定"
L_TOPMSG_Load_Module_Cancel="加载模块报告：没有模块被加载"

L_MESSAGE_One_New_Interface="以下新的接口已被找到"
L_MESSAGE_Multiple_New_Interfaces="以下新的接口已找到"

L_FRAME_New_Interfaces="新的接口"
L_LABEL_New_Interfaces_Tree_Header="接口|类型|模块|设备描述"
L_TEXT_New_Interfaces_p1="点击'保存'按钮来保存选择，这样系统会自动加载"
L_TEXT_New_Interfaces_p2="在启动时
\\单击取消返回并配置新接口。"

L_TEXT_No_New_Interfaces1="没有发现新的接口。"
L_TEXT_No_New_Interfaces2="点击‘加载’按钮加载新的模块，并尝试加载另一个。"

L_TITLE_New_Module_Loaded="新模块被加载"
L_TEXT_New_Module_Loaded="以下新的模块已载入:"

L_TOPMSG_New_Module_Save="新的模块信息已保存"
L_TOPMSG_New_Module_Unload="新模块被卸载"
L_TOPMSG_New_Module_Cancelled="已被取消"

L_TOPMSG_Load_Module_None_Loaded="加载模块报告：没有加载模块"

# function: tryLoadModule
L_TITLE_Netwiz_Hardware="系统网络向导：硬件"
L_MESSAGE_Driver_Loaded="该模块已经加载。\n这并不等于它实际上会正常工作！ \n点击OK之后，看看是否有新的接口\n被检测到。"
L_MESSAGE_Driver_Success_p1="模块"
L_MESSAGE_Driver_Success_p2="已成功载入。
虽然那并不等于它实际上会工作！
点击OK之后，看看是否有一个新的接口
被检测到。"

L_MESSAGE_Driver_Failed_p1="加载模块"
L_MESSAGE_Driver_Failed_p2="失败，并显示如下信息：
"
L_MESSAGE_Driver_Failed_p3="请尝试不同的驱动程序。
"

# function: giveAcxDialog
L_TEXT_Acx_Module_p1="你选择的接口使用这个模块"
L_TEXT_Acx_Module_p2="
卸载这个模块可能会造成系统不稳定，Ndiswrapper将可能无法工作。

建议将该模块列入黑名单并重新启动，就可放心使用Ndiswrapper。

你想黑名单模块，需要重新启动，你敢尝试卸载它吗？ 
"

# function: askWhichInterfaceForNdiswrapper
L_TEXT_Ask_Which_Interface_For_Ndiswrapper="<b>在使用 Ndiswrapper前要做的一件事是:</b>
你的网卡在一定时间内只能使用一种驱动程序。这意味着，如果已经有一种驱动程序在用它（即在主对话框中有一个接口匹配）在加载该驱动程序之前，我们可以利用Ndiswrapper 。

若要这么做，只要按下按钮以匹配相关接口。如果没有接口符合您的硬件，点击 'none'。
"
L_BUTTON_None="none"

L_MESSAGE_Remove_Module_Failed_p1="错误
卸载模块失败"
L_MESSAGE_Remove_Module_Failed_p2="
返回以下错误信息:"

# function: loadNdiswrapperModule
L_MESSAGE_Blacklist_Nativemod_p1="模块"
L_MESSAGE_Blacklist_Nativemod_p2="是以前加载的，
必须移除以便让ndiswrapper工作。
你想不想把这个模块添加到黑名单
列表中，这样才不会在
开机时被加载？
注意, 您以后可以随时删除它，通过运行
bootmanager(见系统菜单）"

# function: loadSpecificModule
L_TITLE_Load_A_Module="加载一个模块"
L_TEXT_Load_A_Module="请键入指定模块的名称以便加载
(允许加上附加参数，但不要按TAB)."

# function: autoLoadModule
L_MESSAGE_Success_Loading_Module_p1="成功加载"
L_MESSAGE_Success_Loading_Module_p2="模块。 这并不等于它会正常工作！
点击OK之后，看看是否有新的接口
被检测和配置。

NOTE: it is possible that a module loads ok, but it is a false hit, that is, does
not actually work with your network adaptor. In that case, try autoprobing again. 
This script will remember the previous attempts (until you exit this script) and will
jump over them.
If you do get false hits, let us know about it on the Puppy Discussion Forum!"

L_MESSAGE_No_Module_Loaded="没有成功加载模块。

注意，这些模块已经加载:"

# function: offerToBlacklistModule
L_TEXT_Blacklist_Module_p1="模块"
L_TEXT_Blacklist_Module_p2="移除成功.

你想把它加入黑名单吗, 这样
以后重启时就不会加载了？
"

# function: unloadSpecificModule
L_MESSAGE_No_Loaded_Items="错误！
现在好象未加载网络模块...
"

L_TITLE_Unload_A_Module="卸载一个模块"
L_TEXT_Unload_A_Module="请选择你想卸载的
模块，然后按'Unload'..."
L_COMBO_Module="模块:"

# function: findLoadedModules
L_PROGRESS_Checking_Loaded_Modules="检查已加载的模块"

# function: testInterface
L_MESSAGE_Failed_Raise_Interface_p1="错误！
无法激活接口"
L_MESSAGE_Failed_Raise_Interface_p2="出错命令是:"
L_MESSAGE_Failed_Raise_Interface_p3="错误返回信息:"

L_PROGRESS_Testing_Interface="测试接口"

L_TOPMSG_Report_On_Test='REPORT ON TEST OF $INTERFACE CONNECTION:'
L_TOPMSG_Unplugged_Wireless="'无法连接到无线网络'
检查无线网络是否可用，以及
您所提供的正确的无线参数。"
L_TOPMSG_Unplugged_Wired="'无法连接到无线网络'
检查无线网络是否可用，以及
网线是否正确插入."
L_TOPMSG_Network_Alive="'Puppy能够找到一个活动网络'
您可以继续进行以获得一个IP地址。"

# function: showConfigureInterfaceWindow
L_TOPMSG_Configuration_Cancelled='配置网络 $INTERFACE  被取消'
L_BUTTON_Done="完成"

L_TOPMSG_Configuration_Unsuccessful='$INTERFACE 的网络配置不成功！'
L_TOPMSG_Configuration_Offer_Try_Again="请再试一次，按一下'返回' 尝试不同的接口，或按一下'完成'放弃当前工作。"
L_TOPMSG_Configuration_Successful='$INTERFACE 的网络配置成功！'
L_TOPMSG_Configuration_Offer_To_Save="
你想储存此配置吗？

如果你想为下次开机保留此配置：按一下'Yes' 
如果你只想为本次会话使用此配置：点击'No' 。"
L_TOPMSG_Configuration_Offer_To_Finish="
如果没有更多的接口安装和配置，请按一下'完成'退出。"
L_TOPMSG_Configuration_Not_Saved="配置未为下次启动保存下来。

如果没有更多的接口安装和配置，请按一下'完成'退出。"

# function: buildConfigureInterfaceWindow
L_TITLE_Configure_Interface='配置网络接口 $INTERFACE'
L_FRAME_Test_Interface="测试接口"
L_BUTTON_Test_Interface='测试 $INTERFACE'
L_FRAME_Configure_Interface="配置接口"
L_BUTTON_Auto_DHCP="自动配置DHCP"
L_BUTTON_Static_IP="配置静态IP"

# function: initializeConfigureInterfaceWindow
L_TOPMSG_Initial_Lets_try="OK，让我们尝试配置"
L_TESTMSG_Initial_p1="你应该确保"
L_TESTMSG_Initial_p2="已连接到一个'活动'网络。
确认之后，你可以设定接口。"
L_DHCPMSG_Initial="配置网络最简单的方式是利用DHCP服务器（通常由你的网络提供） 。这将使系统在开机时查询服务器，并被自动分配一个IP地址。 ' dhcpcd '客户端守护程序启动，网络接入自动进行。"
L_STATICMSG_Initial="如果DHCP服务器无法使用，您将需要手动设置静态IP ，但此脚本将使它很容易。"

L_FRAME_Configure_Wireless="配置无线网络"
L_TEXT_Configure_Wireless_p1="系统发现"
L_TEXT_Configure_Wireless_p2="是一个无线接口。
要连接到一个无线网络，你必须先设置无线网络参数，按一下'无线'按钮，然后指定一个IP地址给它，无论是DHCP还是静态IP （见下文）。"
L_BUTTON_Wireless="无线"

# function: configureWireless
L_TOPMSG_Wireless_Config_Failed_p1="无线设置"
L_TOPMSG_Wireless_Config_Failed_p2="失败！
你可以尝试选择使用不同配置文件。 "
L_TOPMSG_Wireless_Config_Cancelled_p1="无线设置"
L_TOPMSG_Wireless_Config_Cancelled_p2="被取消!
为了连接到一个无线网络，你必须选择使用一个配置文件。 "

# function: buildStaticIPWindow
L_TITLE_Set_Static_IP="设置静态IP"
L_TEXT_Set_Static_IP="请输入你的静态IP参数：
-如果你使用路由器，请检查你的路由器的状态页以得到这些数据。
-如果你直接连接到您的调制解调器，你会
从你的ISP处得到这些数据 。
（两台电脑直接连接：设置所有值除了IP和
子网掩码为 0.0.0.0
请以点分四位数十进制格式输入（xxx.xxx.xxx.xxx）。
其它格式将不予以承认。
"
L_FRAME_Static_IP_Parameters="静态IP参数"
L_ENTRY_IP_Address="IP地址："
L_ENTRY_Net_Mask="子网掩码："
L_ENTRY_Gateway="网关："
L_FRAME_DNS_Parameters="DNS参数"
L_ENTRY_DNS_Primary="主DNS服务器："
L_ENTRY_DNS_Secondary="从DNS服务器："

# function: validateStaticIP
L_ERROR_Invalid_IP="无效IP地址"
L_ERROR_Invalid_Netmask="无效的网络掩码"
L_ERROR_Invalid_Gateway="无效的网关地址"
L_ERROR_Invalid_DNS1="无效的DNS服务器1地址"
L_ERROR_Invalid_DNS2="无效的DNS服务器2地址"

L_MESSAGE_Bad_addresses="出错了！
所提供的地址有一部分是无效的。"

L_MESSAGE_Bad_Netmask="警告:
的网络掩码不符合您的网络地址类型

你确认它是正确的吗？"

L_MESSAGE_Bad_Gateway_p1="错误!
你的网关"
L_MESSAGE_Bad_Gateway_p2="不在此网络上。
（你可能输入了错误的地址，网关或子网掩码）。
"

# function: setupStaticIP
L_MESSAGE_Route_Set='默认路由设置通过 $GATEWAY.'
L_MESSAGE_Route_Failed_p1="错误!
无法设置默认路由通过"
L_MESSAGE_Route_Failed_p2="注意，系统曾试图做到这一点："
L_MESSAGE_Route_Failed_p3="并给出以下出错信息："

L_MESSAGE_Ifconfig_Failed_p1="错误！接口配置失败。

系统曾试图做到这一点："
L_MESSAGE_Ifconfig_Failed_p2="并给出以下出错信息："
L_MESSAGE_Ifconfig_Failed_p3="
如果你认为这不适合您的系统，
你可以提出其它一些可用的方法，
请发布到论坛里，以便我们改进网络配置向导。"

# function: saveNewModule
L_TOPMSG_Module_Saved_p1="模块"
L_TOPMSG_Module_Saved_p2="被记录在 /etc/ethernetmodules
系统会在开机时读入这条命令。"

# function: unloadNewModule
L_TOPMSG_Module_Unloaded_p1="模块"
L_TOPMSG_Module_Unloaded_p2="被卸载。
也,"
L_TOPMSG_Module_Unloaded_p3="被从 /etc/ethernetmodules  移除(如果它存在)。"

# function: setDefaultMODULEBUTTONS
L_TEXT_Default_Module_Buttons="如果网络适配器的驱动模块好象没有加载，或者你想用一个不同的驱动（如Ndiswrapper的Windows驱动程序），点击'载入模块' 按钮。"
L_BUTTON_Load_Module="加载模块"

# function: findInterfaceInfo
L_INTTYPE_Wireless="无线"
L_INTTYPE_Ethernet="网络"
L_INFO_Eth_Firewire="火线网络"

L_TOPMSG_Initial="你好，网络并不总是很容易安装，但我们可以去尝试一下！"

############### end net-setup.sh ###############


############### wag-profiles.sh ###############
L_FRAME_Progress="进度"
L_BUTTON_Abort="忽略"
L_BUTTON_Retry="重试"

# function: setupDHCP
L_TEXT_Dhcpcd_Progress='正在连接到DHCP服务器...超时为 $MAX_TIME 秒.'

# function: giveNoWPADialog
L_TEXT_No_Wpa_p1="注意: 你选择的接口使用模块 "
L_TEXT_No_Wpa_p2=", 不支持 WPA 加密。"
L_BUTTON_Add_WPA="添加到列表"
L_TEXT_No_Wpa_Ask="不过，如果你知道它 <i>确实</i> 支持WPA，或希望测试一下是否支持（唯一的区别是在配置对话框提供更多选择...),点击 '$L_BUTTON_Add_WPA' 按钮将添加模块到配置文件中，以便在后面使用。"
L_TEXT_Wpa_Add_p1="以下细节将被添加到配置文件中, "
L_TEXT_Wpa_Add_p2="."
L_ENTRY_Wpa_Add_Module="模块:"
L_ENTRY_Wpa_Add_WEXT="wpa_supplicant 驱动程序:"

# function: buildProfilesWindow
L_TEXT_Profiles_Window="请选择要使用的网络配置文件.
为了创建一个新的配置，开始扫描可用 
网络并选择一个你喜欢的配置. 
新建配置文件必须 <b>保存</b> 后才能使用。"
L_BUTTON_Scan="扫描"
L_FRAME_Load_Existing_Profile="加载一个已存在的配置文件"
L_TEXT_Select_Profile="选择一个配置文件以加载："
L_FRAME_Edit_Profile="编辑配置文件"
L_TEXT_Encryption="加密： "
L_BUTTON_Open="打开"
L_TEXT_Profile_Nmae="配置文件
名:   "
L_TEXT_Essid="ESSID:    "
L_TEXT_Mode="模式："
L_CHECKBOX_Managed="托管"
L_CHECKBOX_Adhoc="Ad-hoc "
L_TEXT_Security="安全： "
L_CHECKBOX_Open="打开"
L_CHECKBOX_Restricted="限制"
L_BUTTON_Delete="删除"
L_BUTTON_Use_Profile="使用配置文件"
L_BUTTON_New_Profile="新建配置文件"

# function: setWepFields
L_TEXT_Key="密钥："

# function: setWpaFields
L_TEXT_AP_Scan="AP 扫描:"
L_CHECKBOX_Hidden_SSID="隐藏的 SSID"
L_CHECKBOX_Broadcast_SSID="广播 SSID"
L_CHECKBOX_Driver="驱动程序"
L_TEXT_Shared_Key="共享密钥："

# function: setAdvancedFields
L_LABEL_Advanced="高级"
L_LABEL_Basic="基础"
L_TEXT_Frequency="频率："
L_TEXT_Channel="通道:"
L_TEXT_AP_MAC="存取点
     MAC地址:"

# function: saveProfiles
L_MESSAGE_Bad_Profile="错误!
配置文件没有与此相对应的网络.
你必须运行一次无线扫描并选择
网络，然后创建一个配置文件"

# function: getWpaPSK
L_MESSAGE_Bad_PSK="错误!
由你提供的密钥和SSID生成
PSK wpa_密码失败！

请向论坛报告，以便
我们尝试发现问题。
"

# function: cleanUpInterface
L_MESSAGE_Failed_To_Raise_p1="错误!
无法激活接口"
L_MESSAGE_Failed_To_Raise_p2=".
失败的命令是："
L_MESSAGE_Failed_To_Raise_p3="传回的错误信息："

# function: useIwconfig / useWlanctl
L_MESSAGE_Configuring_Interface_p1="正在配置接口 "
L_MESSAGE_Configuring_Interface_p2=" 
to network "

# function: validateWpaAuthentication
L_ECHO_Status_p1="时间： "
L_ECHO_Status_p2="	状态： "

# function: useWpaSupplicant
L_MESSAGE_No_Wpaconfig_p1="错误!
找不到wpa_supplicant配置文件："
L_MESSAGE_No_Wpaconfig_p2="
请注意，你必须保存该配置文件后才可以使用它！"

L_TEXT_WPA_Progress_p1="正在获取 "
L_TEXT_WPA_Progress_p2=" 连接自 "
L_TEXT_WPA_Progress_p3="...(30小秒超时)"

L_ECHO_Starting="启动"
L_ECHO_Initializing_Wpa="初始化wpa_supplicant"

L_MESSAGE_WPA_Failed="无法建立WPA连接"
L_BUTTON_Details="详细信息"

L_FRAME_Connection_Info="连接信息"
L_FRAME_wpa_cli_Outeput="输出 "
L_BUTTON_Refresh="刷新"

# function: waitForPCMCIA
L_PROGRESS_Waiting_For_PCMCIA="正在等待 pcmcia 设备处理"

# function: showScanWindow
L_PROGRESS_Scanning_Wireless="扫描无线网络"

# function: buildScanWindow
L_SCANWINDOW_Encryption="加密："
L_SCANWINDOW_Channel="通道："
L_SCANWINDOW_Frequency="频率:"
L_SCANWINDOW_AP_MAC="AP MAC:"
L_SCANWINDOW_Strength="强度:"

L_TEXT_Scanwindow="选择一个可用的网络
移动鼠标以查看更详细的信息。"

# function: createNoNetworksDialog
L_TEXT_No_Networks_Detected="没有网络被发现.

也许你的路由器是关闭的？
也许你的笔记型电脑上的无线切换器
需要打开？"

# function: createRetryScanDialog
L_TEXT_No_Networks_Retry="没有网络被发现。
你想再次尝试和扫描吗？
"

# function: createRetryPCMCIAScanDialog
L_TEXT_No_Networks_Retry_Pcmcia="没有网络被发现。
不过，你似乎在使用的PCMCIA设备，
这可能需要重置，以便扫描工作。
你想重设PCMCIA卡并扫描吗？ 
"

# function: buildPrismScanWindow (many used from buildScanWindow above)
L_SCANWINDOW_Hidden_SSID="(隐藏 SSID)"
L_TEXT_Prism_Scan="选择一个可用的网络
移动鼠标以查看更详细的信息。 "

# function: setupScannedProfile
L_TEXT_Provide_Key="提供一个密钥"

############### end wag-profiles.sh ###############



############### ndiswrapperGUI.sh ###############
L_TITLE_Netwiz_Ndiswrapper="网络向导: Ndiswrapper"
L_TEXT_Ndiswrapper_Chooser="请选择驱动信息文件(.INF)."

L_MESSAGE_Bad_Inf_Name="
错误!
文件名结尾应该是 .inf
请重新选择.
"

############### end ndiswrapperGUI.sh ###############


############### rc.network ###############
L_TITLE_Success="成功"
L_MESSAGE_Success="成功"
L_TITLE_Failure="失败"
L_MESSGAE_Failed="失败"

L_MESSAGE_Failed_To_Connect="
  连接网络失败.
  如果你还没配置网线接口，
  你应该运行网络向导。
  (调试信息在 /tmp/network-connect.log)"

############### end rc.network ###############
